cat.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_CAT(a, b) MSGPACK_PP_CAT_OO((a, b))
#define | MSGPACK_PP_CAT_OO(par) MSGPACK_PP_CAT_I ## par
#define | MSGPACK_PP_CAT_I(a, b) MSGPACK_PP_CAT_II(~, a ## b)
#define | MSGPACK_PP_CAT_II(p, res) res

## Macro Definition Documentation

## MSGPACK_PP_CAT

#define MSGPACK_PP_CAT | ( |  | a,
|  |  | b
| ) |  | MSGPACK_PP_CAT_OO((a, b))

## MSGPACK_PP_CAT_I

#define MSGPACK_PP_CAT_I | ( |  | a,
|  |  | b
| ) |  | MSGPACK_PP_CAT_II(~, a ## b)

## MSGPACK_PP_CAT_II

#define MSGPACK_PP_CAT_II | ( |  | p,
|  |  | res
| ) |  | res

## MSGPACK_PP_CAT_OO

#define MSGPACK_PP_CAT_OO | ( |  | par | ) | MSGPACK_PP_CAT_I ## par